-- This LUA is an edited version of a LUA from Ford Crown Victoria mod made by MaxieTheFoxxie, who has given me a permission to use this LUA with few modifications done to it just for this mod.

local M = {}

local function init()
   electrics.values.gaugelightstest = 0
    electrics.values.gaugelightstestshort = 0
    electrics.values.gaugelightstestshort2 = 0
    electrics.values.gaugelightstestshort3 = 0
    electrics.values.gaugelightstestshort4 = 0
    electrics.values.airbagcheck = 0
   electrics.values.systemscheck = 0
end

local function reset()
   init()
end

local timer = 0 -- initialize the timer variable

local function updateGFX(dt)
   if electrics.values.ignitionLevel == 2 then
      if timer < 10 then
         timer = timer + dt -- increment the timer variable by delta time
         electrics.values.gaugelightstest = 1 -- turn on guage lights
      else
         electrics.values.gaugelightstest = 0 -- turn off guage lights permanently
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end

   if electrics.values.ignitionLevel == 2 then -- short version
      if timer < 9.6 then
         timer = timer + dt
         electrics.values.gaugelightstestshort = 1
      else
         electrics.values.gaugelightstestshort = 0
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end
   
   if electrics.values.ignitionLevel == 2 then -- short2 version
      if timer < 9.5 then
         timer = timer + dt
         electrics.values.gaugelightstestshort2 = 1
      else
         electrics.values.gaugelightstestshort2 = 0
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end
   
   if electrics.values.ignitionLevel == 2 then -- short3 version
      if timer < 9.8 then
         timer = timer + dt
         electrics.values.gaugelightstestshort3 = 1
      else
         electrics.values.gaugelightstestshort3 = 0
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end
   
   if electrics.values.ignitionLevel == 2 then -- short4 version
      if timer < 9.4 then
         timer = timer + dt
         electrics.values.gaugelightstestshort4 = 1
      else
         electrics.values.gaugelightstestshort4 = 0
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end
   
   if electrics.values.ignitionLevel == 2 then -- airbag check
      if timer < 12.5 then
         timer = timer + dt
         electrics.values.airbagcheck = 1
      else
         electrics.values.airbagcheck = 0
      end
   else
      timer = 0 -- reset the timer when ignition level is not 2
      electrics.values.gaugelightstest = 0
   end

   if electrics.values.rpm >= 0 and electrics.values.rpm <= 500 then
      if electrics.values.ignitionLevel >= 0 and electrics.values.ignitionLevel <= 1 then
         electrics.values.systemscheck = 0
      else
         electrics.values.systemscheck = 1
      end
   else
      electrics.values.systemscheck = 0
   end
end

M.onInit = init
M.onReset = init
M.updateGFX = updateGFX

return M